cutlass::TypeTraits< float > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef float | host_type
typedef float | device_type
typedef int32_t | integer_type
typedef uint32_t | unsigned_type

## Static Public Member Functions

static float | remove_negative_zero (float x)
static float | to_print (float x)
static device_type | to_device (host_type x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_R_32F

## Member Typedef Documentation

typedef float cutlass::TypeTraits< float >::device_type

typedef float cutlass::TypeTraits< float >::host_type

typedef int32_t cutlass::TypeTraits< float >::integer_type

typedef uint32_t cutlass::TypeTraits< float >::unsigned_type

## Member Function Documentation

static float cutlass::TypeTraits< float >::remove_negative_zero | ( | float | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< float >::to_device | ( | host_type | x | ) |

inlinestatic

static float cutlass::TypeTraits< float >::to_print | ( | float | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< float >::cublas_type = CUDA_R_32F

static

The documentation for this struct was generated from the following file:

- type_traits.h